> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Download

> Delete a download file from storage and mark as deleted.



## OpenAPI

````yaml delete /v1/downloads/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/downloads/{id}:
    delete:
      summary: Delete a Download
      description: Delete a download file from storage and mark as deleted.
      operationId: Downloads_delete
      parameters:
        - name: id
          in: path
          description: The download ID to delete.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: There is no content to send for this request.
components:
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````